## GDataFeed

GDataFeed — GData feed object

## Stability Level

Stable, unless otherwise indicated

## Functions

const gchar * | gdata_feed_get_title ()
const gchar * | gdata_feed_get_subtitle ()
const gchar * | gdata_feed_get_id ()
const gchar * | gdata_feed_get_etag ()
GList * | gdata_feed_get_authors ()
GList * | gdata_feed_get_categories ()
GList * | gdata_feed_get_entries ()
GDataEntry * | gdata_feed_look_up_entry ()
GDataGenerator * | gdata_feed_get_generator ()
GList * | gdata_feed_get_links ()
GDataLink * | gdata_feed_look_up_link ()
const gchar * | gdata_feed_get_logo ()
const gchar * | gdata_feed_get_icon ()
gint64 | gdata_feed_get_updated ()
const gchar * | gdata_feed_get_rights ()
guint | gdata_feed_get_start_index ()
guint | gdata_feed_get_total_results ()
guint | gdata_feed_get_items_per_page ()
const gchar * | gdata_feed_get_next_page_token ()

## Properties

char * | etag | Read
GDataGenerator * | generator | Read
char * | icon | Read
char * | id | Read
guint | items-per-page | Read
char * | logo | Read
char * | next-page-token | Read
char * | rights | Read
guint | start-index | Read
char * | subtitle | Read
char * | title | Read
guint | total-results | Read
gint64 | updated | Read

## Types and Values

| GDataFeed
| GDataFeedClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataFeed
                ├── GDataCalendarFeed
                ├── GDataDocumentsFeed
                ├── GDataPicasaWebFeed
                ╰── GDataYouTubeFeed

## Includes

    #include <gdata/gdata-feed.h>

## Description

GDataFeed is a list of entries (GDataEntry) returned as the result of a query to a GDataService, or given as the input to another operation on the online service. It also has pieces of data associated with the query on the GDataService, such as the query title or timestamp when it was last updated.

Each GDataEntry represents a single object on the online service, such as a playlist, video or calendar entry, and the GDataFeed represents a collection of similar objects.

## Functions

### gdata_feed_get_title ()

    const gchar *
    gdata_feed_get_title (GDataFeed *self);

Returns the title of the feed.

#### Parameters

self | a GDataFeed |

#### Returns

the feed's title

### gdata_feed_get_subtitle ()

    const gchar *
    gdata_feed_get_subtitle (GDataFeed *self);

Returns the subtitle of the feed.

#### Parameters

self | a GDataFeed |

#### Returns

the feed's subtitle, or `NULL`

### gdata_feed_get_id ()

    const gchar *
    gdata_feed_get_id (GDataFeed *self);

Returns the feed's unique and permanent URN ID.

#### Parameters

self | a GDataFeed |

#### Returns

the feed's ID

### gdata_feed_get_etag ()

    const gchar *
    gdata_feed_get_etag (GDataFeed *self);

Returns the feed's unique ETag for this version.

#### Parameters

self | a GDataFeed |

#### Returns

the feed's ETag

Since: 0.2.0

### gdata_feed_get_authors ()

    GList *
    gdata_feed_get_authors (GDataFeed *self);

Returns a list of the authors listed in this feed.

#### Parameters

self | a GDataFeed |

#### Returns

a GList of GDataAuthors.

[element-type GData.Author][transfer none]

### gdata_feed_get_categories ()

    GList *
    gdata_feed_get_categories (GDataFeed *self);

Returns a list of the categories listed in this feed.

#### Parameters

self | a GDataFeed |

#### Returns

a GList of GDataCategorys.

[element-type GData.Category][transfer none]

### gdata_feed_get_entries ()

    GList *
    gdata_feed_get_entries (GDataFeed *self);

Returns a list of the entries contained in this feed.

#### Parameters

self | a GDataFeed |

#### Returns

a GList of GDataEntrys.

[element-type GData.Entry][transfer none]

### gdata_feed_look_up_entry ()

    GDataEntry *
    gdata_feed_look_up_entry (GDataFeed *self,
                              const gchar *id);

Returns the entry in the feed with the given `id` , if found.

#### Parameters

self | a GDataFeed |
id | the entry's ID |

#### Returns

the GDataEntry, or `NULL`.

[transfer none]

Since: 0.2.0

### gdata_feed_get_generator ()

    GDataGenerator *
    gdata_feed_get_generator (GDataFeed *self);

Returns details about the software which generated the feed.

#### Parameters

self | a GDataFeed |

#### Returns

a GDataGenerator, or `NULL`.

[transfer none]

### gdata_feed_get_links ()

    GList *
    gdata_feed_get_links (GDataFeed *self);

Returns a list of the links listed in this feed.

#### Parameters

self | a GDataFeed |

#### Returns

a GList of GDataLinks.

[element-type GData.Link][transfer none]

### gdata_feed_look_up_link ()

    GDataLink *
    gdata_feed_look_up_link (GDataFeed *self,
                             const gchar *rel);

Looks up a link by “relation-type” value from the list of links in the feed.

#### Parameters

self | a GDataFeed |
rel | the value of the “relation-type” property of the desired link |

#### Returns

a GDataLink, or `NULL` if one was not found.

[transfer none]

Since: 0.1.1

### gdata_feed_get_logo ()

    const gchar *
    gdata_feed_get_logo (GDataFeed *self);

Returns the logo URI of the feed.

#### Parameters

self | a GDataFeed |

#### Returns

the feed's logo URI, or `NULL`

### gdata_feed_get_icon ()

    const gchar *
    gdata_feed_get_icon (GDataFeed *self);

Returns the icon URI of the feed.

#### Parameters

self | a GDataFeed |

#### Returns

the feed's icon URI, or `NULL`

Since: 0.6.0

### gdata_feed_get_updated ()

    gint64
    gdata_feed_get_updated (GDataFeed *self);

Gets the time the feed was last updated.

#### Parameters

self | a GDataFeed |

#### Returns

the UNIX timestamp for the time the feed was last updated

### gdata_feed_get_rights ()

    const gchar *
    gdata_feed_get_rights (GDataFeed *self);

Returns the rights pertaining to the entire feed, or `NULL` if not set.

#### Parameters

self | a GDataFeed |

#### Returns

the feed's rights information

Since: 0.7.0

### gdata_feed_get_start_index ()

    guint
    gdata_feed_get_start_index (GDataFeed *self);

Returns the one-based start index of the results feed in the result set.

#### Parameters

self | a GDataFeed |

#### Returns

the one-based start index, or `0`

### gdata_feed_get_total_results ()

    guint
    gdata_feed_get_total_results (GDataFeed *self);

Returns the total number of results in the result set, including results on other pages. If this is zero, the total number is unknown.

#### Parameters

self | a GDataFeed |

#### Returns

the total number of results, or `0`

### gdata_feed_get_items_per_page ()

    guint
    gdata_feed_get_items_per_page (GDataFeed *self);

Returns the number of items per results page feed.

#### Parameters

self | a GDataFeed |

#### Returns

the number of items per results page feed, or `0`

### gdata_feed_get_next_page_token ()

    const gchar *
    gdata_feed_get_next_page_token (GDataFeed *self);

Returns the next page token for a query result, or `NULL` if not set. This is “next-page-token”. The page token might not be set if there is no next page, or if this service does not use token based paging (for example, if it uses page number or offset based paging instead). Most more recent services use token based paging.

#### Parameters

self | a GDataFeed |

#### Returns

the next page token.

[nullable]

Since: 0.17.7

## Types and Values

### GDataFeed

    typedef struct _GDataFeed GDataFeed;

All the fields in the GDataFeed structure are private and should never be accessed directly.

### GDataFeedClass

    typedef struct {
    } GDataFeedClass;

All the fields in the GDataFeedClass structure are private and should never be accessed directly.

## Property Details

### The `“etag”` property

      “etag”                     char *

The unique ETag for this version of the feed. See the

online documentation for

more information.

Owner: GDataFeed

Flags: Read

Default value: NULL

Since: 0.2.0

### The `“generator”` property

      “generator”                GDataGenerator *

Details of the software used to generate the feed.

API reference: atom:generator

Owner: GDataFeed

Flags: Read

### The `“icon”` property

      “icon”                     char *

The URI of an icon for the feed.

API reference:

atom:icon

Owner: GDataFeed

Flags: Read

Default value: NULL

Since: 0.6.0

### The `“id”` property

      “id”                       char *

The unique and permanent URN ID for the feed.

API reference: atom:id

Owner: GDataFeed

Flags: Read

Default value: NULL

### The `“items-per-page”` property

      “items-per-page”           guint

The number of items per results page feed.

API reference:

openSearch:itemsPerPage

Owner: GDataFeed

Flags: Read

Default value: 0

### The `“logo”` property

      “logo”                     char *

The URI of a logo for the feed.

API reference: atom:logo

Owner: GDataFeed

Flags: Read

Default value: NULL

### The `“next-page-token”` property

      “next-page-token”          char *

The next page token for feeds. Pass this to `gdata_query_set_page_token()` to advance to the next page when querying APIs which use page tokens rather than page numbers or offsets.

Owner: GDataFeed

Flags: Read

Default value: NULL

Since: 0.17.7

### The `“rights”` property

      “rights”                   char *

The ownership rights pertaining to the entire feed.

For more information, see the Atom specification.

Owner: GDataFeed

Flags: Read

Default value: NULL

Since: 0.7.0

### The `“start-index”` property

      “start-index”              guint

The one-based index of the first item in the results feed.

This should not be used manually for pagination. Instead, use a GDataQuery and call its `gdata_query_next_page()` or `gdata_query_previous_page()` functions before making the query to the service.

API reference: openSearch:startIndex

Owner: GDataFeed

Flags: Read

Allowed values: >= 1

Default value: 1

### The `“subtitle”` property

      “subtitle”                 char *

The subtitle of the feed.

API reference: atom:subtitle

Owner: GDataFeed

Flags: Read

Default value: NULL

### The `“title”` property

      “title”                    char *

The title of the feed.

API reference:

atom:title

Owner: GDataFeed

Flags: Read

Default value: NULL

### The `“total-results”` property

      “total-results”            guint

The number of items in the result set for the feed, including those on other pages. If this is zero, the total number is unknown.

This should not be used manually for pagination. Instead, use a GDataQuery and call its `gdata_query_next_page()` or `gdata_query_previous_page()` functions before making the query to the service.

API reference:

openSearch:totalResults

Owner: GDataFeed

Flags: Read

Allowed values: <= 1000000

Default value: 0

### The `“updated”` property

      “updated”                  gint64

The time the feed was last updated.

API reference: atom:updated

Owner: GDataFeed

Flags: Read

Allowed values: >= 0

Default value: 0